import { For, onMount } from 'solid-js'
import { useStore } from '@nanostores/solid'
import { useI18n } from '@/hooks'
import { conversationMapSortList } from '@/stores/conversation'
import ConversationSidebarItem from './ConversationSidebarItem'
import ConversationSidebarAdd from './ConversationSidebarAdd'
import { addConversation } from '@/stores/conversation'

export default () => {
  const { t } = useI18n()
  const $conversationMapSortList = useStore(conversationMapSortList)

   //设置副标题数字
  const setNameNum = (setName: string, numList: any) => {
    let list = conversationMapSortList.get()
    let title = ''
    let count = 0
    numList.map((res: number) => {
      let regex1 = new RegExp("" + setName + '\\(\\d+\\)', 'g')
      let seachText = list[res].name.match(regex1) || 'null'
      let num = seachText[0].match(/\(\d+\)/g) || 'null'
      if (num !== 'null') {
        count = Math.max(count, Number(num[0].replace('(', '').replace(')', '')))
        console.log(count, Number(num[0].replace('(', '').replace(')', '')))
      }
    })
    title =count?`${setName}(${count + 1})`:`${setName}`
    return title
  }

  //查重
  const checkName = (name: string, setName: string) => {
    let setNameReg = new RegExp(setName, 'g')
    if (setNameReg.test(name) && name.replace(/\(\d+\)/g, '') === setName) {
      return true
    }
  }

  onMount(() => {
    setTimeout(() => {
      let itemList = conversationMapSortList.get()
      let setName = JSON.parse(sessionStorage.getItem('dialogueName') as any)||'未命名对话'
      let numList: number[] = []
      itemList.map((res, i) => {
        if (checkName(res.name, setName.name)) numList.push(i)
      })

      if(setName.switch){
        addConversation({name:setNameNum(setName.name, numList)})
        setName.switch=false
        sessionStorage.setItem('dialogueName',JSON.stringify({name:setName.name,switch:false}))
      }
    }, 1000)
  })

  return (
    <div class="h-full flex flex-col bg-sidebar">
      <header class="h-14 fi justify-between px-4 text-xs uppercase">
        <p class="px-2">{t('conversations.title')}</p>
        <div class="fi gap-1">
          {/* <Button
            icon="i-carbon-search"
            onClick={() => {}}
            size="sm"
          /> */}
          <ConversationSidebarAdd />
        </div>
      </header>
      <div class="flex-1 overflow-auto">
        <div class="px-2">
          <For each={$conversationMapSortList()}>
            {instance => (
              <ConversationSidebarItem instance={instance} />
            )}
          </For>
        </div>
      </div>
    </div>
  )
}
