
import { For } from 'solid-js'
import MessageItem from './../main/MessageItem'
import Banner from './banner'
import './style.css'
import { createEffect, createSignal, useEffect,onMount } from 'solid-js'
import { fetchData } from '../../http/api'

export default () => {

  const currentDomain = window.location.hostname;
  const contentDomain = currentDomain=='gtering.com'?'Gtering.com':'Ansnid.Com';

   const [views, setViews] = createSignal(0)
   const [url, setUrl] = createSignal('')
   const [title, setTitle] = createSignal(contentDomain)
   const [items, setItems] = createSignal([])

   // localStorage.setItem('theme', 'light');
   document.documentElement.classList.toggle('dark', false)

  onMount(() => {




    fetchData(null, function(data){ 

      setViews(data.data.views);
      setUrl(data.data.url);
      setItems(data.data.items);
      setTitle(data.data.title);
      document.title = data.data.title ? `${(data.data.title || t('conversations.untitled'))} - ` + contentDomain : contentDomain

     }, "/chatgptApi/conversations?url="+encodeURIComponent(window.location.href))


  }, []);
  return (
    <div class="flex flex-col h-full">
      <div style="text-align: center; padding: 0.75rem;">
          {title}
      </div>
      <div class="scroll-list relative flex flex-col h-full overflow-y-scroll">
        <For each={items()}>
          {(message, index) => (
            <div class="border-b border-lighter">
              <MessageItem
                message={message}
                index={index()}
              />
            </div>
          )}
        </For>
      </div>
      <Banner views={views} url={url} />
    </div>
  )
}